Summary: An X Window System based window manager.
Name: fvwm
Version: 1.24r
Release: 24 
Copyright: GPL
Group: User Interface/Desktops
Requires: fvwm2-icons
Source0: sunsite.unc.edu:/pub/Linux/X11/window-managers/fvwm-1.24r.tar.gz
Source1: fvwm-1.24r-system.fvwmrc
Patch0: fvwm-1.24r-fsstnd.patch
Patch1: fvwm-1.24r-imake.patch
Patch2: fvwm-1.24r-security.patch
Patch3: fvwm-1.24r-fvwmman.patch
Buildroot: /var/tmp/fvwm-root

%description
FVWM (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is a window manager for the X Window System.
FVWM was derived from the twm window manager.  FVWM is designed to
minimize memory consumption, to provide window frames with a 3D look, and
to provide a simple virtual desktop.  FVWM can be configured to look like
Motif.

Install the fvwm package if you'd like to use the FVWM window manager.  If
you install fvwm, you'll also need to install fvwm2-icons.

%prep
%setup -q
%patch0 -p1 -b .fsstnd
%patch1 -p1 -b .imake
%patch2 -p1 -b .security
%patch3 -p1 -b .fvwmman

%build
export PATH=$PATH:/usr/X11R6/bin
xmkmf
make Makefiles
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/fvwm/
install $RPM_SOURCE_DIR/fvwm-1.24r-system.fvwmrc $RPM_BUILD_ROOT/etc/X11/fvwm/system.fvwmrc
strip $RPM_BUILD_ROOT/usr/X11R6/bin/fvwm
strip $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm/* || :

%files
%defattr(-,root,root)
/usr/X11R6/lib/X11/fvwm
/usr/X11R6/bin/fvwm
%dir /etc/X11/fvwm
%config /etc/X11/fvwm/system.fvwmrc
/usr/X11R6/man/*/*
%doc sample.fvwmrc/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Tue Feb 15 2000 Tim Powers <timp@redhat.com>
- fix bad group/desc/summary

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- gzip man pages

* Thu Jan 13 2000 Tim Powers <timp@redhat.com>
- rebuilt for Powertools 6.2
- added defattr
- quiet setup

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 17)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- tagged config files correctly
- buildroot

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- fixed it for AnotherLevel (icon paths, etc)

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Fixed system.fvwmrc to point at /usr/X11R6/include/X11/bitmaps and pixmaps. 
  Fvwm wasn't find icons otherwise, which is why they disappeared if someone
  upgraded from 4.0 to 4.1! 

